Package org.apache.catalina.startup

## Class SetContextPropertiesRule

- java.lang.Object
- - org.apache.tomcat.util.digester.Rule
  - - org.apache.tomcat.util.digester.SetPropertiesRule
    - - org.apache.catalina.startup.SetContextPropertiesRule

    @Deprecated
    public class SetContextPropertiesRule
    extends SetPropertiesRule

Deprecated.
This will be removed in Tomcat 10
Rule that uses the introspection utils to set properties of a context (everything except "path").

Author:
  Remy Maucherat

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tomcat.util.digester.SetPropertiesRule

`SetPropertiesRule.Listener`

### Field Summary

### Fields inherited from class org.apache.tomcat.util.digester.SetPropertiesRule

`excludes`

### Fields inherited from class org.apache.tomcat.util.digester.Rule

`digester, namespaceURI, sm`

### Constructor Summary

Constructors
`SetContextPropertiesRule()` Deprecated.

### Method Summary

### Methods inherited from class org.apache.tomcat.util.digester.SetPropertiesRule

`begin, toString`

### Methods inherited from class org.apache.tomcat.util.digester.Rule

`body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetContextPropertiesRule

    public SetContextPropertiesRule()

Deprecated.